<?php 

class Usuarios extends CI_Controller
{
	public function index()
	{
		//Traemos el modelo que genera el token
		$this->load->model('TokenGenerator');
		$data = array("saidandresmix01@gmail.com","1234");
		$token = $this->TokenGenerator->generator($data);
		echo $token;
	}

	public function token()
	{
		$jwt = new JWT();
		//clave para el jwt
		$jwt_clave="olakease";
		$data = array('user' => 123,
					  'nombre'=>"said",
					  'tipo'=>"admin");
		$token = $jwt->encode($data,$jwt_clave,'HS256');
		echo $token;
	}
	
}

 ?>